> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/ec-verification.md).

# EC Verification

A Ec **verification** is the process of authenticating a government-issued land ownership document, primarily in Tamil Nadu

## ec\_verification

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/utility/ec_verification`

### Post parameters For  description is given below,

<table><thead><tr><th width="197.12109375">Post Parameter </th><th width="139">Type</th><th width="212.17578125">Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>search_type </td><td>String </td><td>Yes </td><td>Accepted value: fileUpload , manual</td></tr><tr><td>patta_file_url</td><td>String</td><td>Yes (Only for fileUpload) </td><td>Uploaded Patta document URL only for search type fileUpload</td></tr><tr><td>patta_no</td><td>String</td><td>Yes (Only for manual)</td><td>District name</td></tr><tr><td>village_name</td><td>String</td><td>Yes (Only for manual)</td><td>Taluk name</td></tr><tr><td>taluk_name</td><td>String</td><td>Yes (Only for manual)</td><td>Village name</td></tr><tr><td>district_name</td><td>String</td><td>Yes (Only for manual)</td><td>Patta number</td></tr><tr><td>subdiv_no</td><td>String</td><td>No</td><td>Subdivision number</td></tr></tbody></table>

#### Sample Post Parameter - File Upload Mode

```json
{
  "search_type": "fileUpload",
  "patta_file_url": "https://example.com/sample.pdf"
}
```

#### Sample Post Parameter - Manual Search Mode

```json
{
  "search_type": "manual",
  "district_name": "Kanchipuram",
  "taluk_name": "Kundrathur",
  "village_name": "Padappai",
  "patta_no": "660773",
  "subdiv_no": "41014"
}
```

{% tabs %}
{% tab title="200: Success Response " %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "9246665c-71b8-48d3-bb6b-989cb639d1a1",
    "status": "completed",
    "result": {
        "riskScore": 8,
        "riskStatus": "LOW",
        "fileUrl": "http://0.000.000.000:0000/image-pub/kyc/TUTTEHN00417/EcDocuments/ec_verification_file_1779113932110-1779113932410.pdf",
        "subRegistrarOffice": "அருப்புக்கோட்டை",
        "date": "11-Feb-2026",
        "village": "பெரிய புளியம்பட்டி (மேற்கு)",
        "surveyDetails": "332/381"
    },
    "requested_at": "2026-05-18T14:17:40.481Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "c3d101d4-c9ec-48df-a25f-60354ec78c78",
    "status": "in_progress",
    "requested_at": "2026-05-18T14:17:40.481Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "searchType must be either fileUpload or manual",
    "error": {
        "message": "searchType must be either fileUpload or manual",
        "field": "search_type",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "Patta file url is required for fileUpload",
    "error": {
        "message": "Patta file url is required for fileUpload",
        "field": "patta_file_url",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "district_name is required",
    "error": {
        "message": "district_name is required",
        "field": "district_name",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "taluk_name is required",
    "error": {
        "message": "taluk_name is required",
        "field": "taluk_name",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "village_name is required",
    "error": {
        "message": "village_name is required",
        "field": "village_name",
        "code": "BAD_REQUEST"
    }
}
{
    "success": false,
    "code": 400,
    "message": "patta_no is required",
    "error": {
        "message": "patta_no is required",
        "field": "patta_no",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "e7c76ebf-a3f5-42b5-817f-ef9fc7bf1657",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
     "requested_at": "2026-05-18T14:17:40.481Z",
    "completed_at": "2026-05-18T14:17:40.481Z"
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/utility/ec_verification`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "9246665c-71b8-48d3-bb6b-989cb639d1a1",
    "status": "completed",
    "result": {
        "riskScore": 8,
        "riskStatus": "LOW",
        "fileUrl": "http://0.000.000.000:0000/image-pub/kyc/TUTTEHN00417/EcDocuments/ec_verification_file_1779113932110-1779113932410.pdf",
        "subRegistrarOffice": "அருப்புக்கோட்டை",
        "date": "11-Feb-2026",
        "village": "பெரிய புளியம்பட்டி (மேற்கு)",
        "surveyDetails": "332/381"
    },
    "requested_at": "2026-05-18T14:17:40.481Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "005d1731-85dd-4ad5-b8ff-eb67a7d2e42d",
    "status": "in_progress",
     "requested_at": "2026-05-18T14:17:40.481Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "7b2e98d5-b855-496a-8b07-c39f097dd3a9",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-05-18T14:17:40.481Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/ec-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
